# $Revision: 1.47 $, $Date: 2004/05/07 00:32:03 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Daemon
Summary:	Net::Daemon - Perl extension for portable daemons
Summary(pl):	Net::Daemon - perlowe rozszerzenie dla przenonych demonw
Name:		perl-Net-Daemon
Version:	0.38
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b8e587cee7a2c4246c1bb507f6eaa81e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Thread)'

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way. The module is designed for Perl
5.005 and threads, but can work with fork() and Perl 5.004.

%description -l pl
Net::Daemon to abstrakcyjna klasa bazowa do implementowania
przenonych aplikacji serwerowych w bardzo prosty sposb. Ten modu
by projektowany dla Perla 5.005 z wtkami, ale moe dzia take z
funkcj fork() i Perlem 5.004.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Net/Daemon.pm
%{perl_vendorlib}/Net/Daemon
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Daemon.spec,v $
Revision 1.47  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.46  2004/05/06 18:20:44  ankry
- fixed perl-devel BR

Revision 1.45  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.44  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.43  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.42  2004/01/13 12:19:23  trojan
- updated to 0.38

Revision 1.41  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.40  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.39  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.38  2003/05/25 06:24:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.36  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.35  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:37:00  ankry
- massive attack: change CPAN URLs

Revision 1.33  2002/08/28 19:37:43  radek
- version 0.37
STBR

Revision 1.32  2002/08/27 10:35:50  radek
- tests default off, STBR

Revision 1.31  2002/08/15 17:51:00  qboosh
- pl description, new %%doc, added conditional tests, release 5

Revision 1.30  2002/08/11 19:36:48  radek
- release up

Revision 1.29  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.28  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.27  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.26  2002/02/25 10:33:06  depesz
- cleanup; revision++

Revision 1.25  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/13 14:18:45  depesz
- automatic: Source location unfied, Relase Up

Revision 1.23  2002/02/10 15:29:40  depesz
- adapterized

Revision 1.22  2002/01/18 02:14:22  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/27 16:44:31  mis
- autoupdated to 0.36

Revision 1.20  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.19  2001/04/17 12:13:12  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/04/12 21:59:05  baggins
- release 2
- don't automatically reuire perl(Thread)

Revision 1.16  2001/04/10 19:35:04  mis
- autoupdated to 0.35

Revision 1.15  2001/01/19 03:07:35  kloczek
- removed bogus Patch0.

Revision 1.14  2001/01/19 03:02:01  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.13  2001/01/13 00:57:29  dobrek
- Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.12  2000/12/29 16:44:53  depesz
- new (0.34) version

Revision 1.11  2000/12/03 16:36:31  depesz
- perl-Net-Daemon: removed "require perl(Threads)". works without Threads.
- perl-Storable - untouched

Revision 1.10  2000/09/25 05:54:12  kloczek
- updated to 0.30.

Revision 1.9  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 23:59:00  pius
- updated to 0.29

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/02 21:38:32  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov >= 3.0.3-15, perl >= 5.005_03-13

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
